//
//  OpenPlatformViewController.m
//  OpenSDKDemo
//
//  Created by Jiny.du on 07/19/2019.
//  Copyright (c) 2019 bytedance.co All rights reserved.
//

#import "OpenPlatformActionViewController.h"
#import "OpenPlatformViewController.h"

@interface OpenPlatformViewController ()
@property (nonatomic, weak) IBOutlet UIControl *i18nControl;
@property (nonatomic, weak) IBOutlet UILabel *versionDisplayLabel;

@end

@implementation OpenPlatformViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.title = @"Click the App to start";
    self.versionDisplayLabel.text = [NSString stringWithFormat:@"Current Tiktok SDK Version : V%@", [TikTokOpenSDKApplicationDelegate sharedInstance].currentVersion];
}

- (IBAction)selectApp:(UIControl *)sender
{
    OpenPlatformActionViewController *vc = [[OpenPlatformActionViewController alloc] init];
    [self.navigationController pushViewController:vc animated:YES];
}

@end