//
//  OpenPlatformActionView.h
//  OpenSDKDemo_Example
//
//  Created by Jiny.du on 2019/7/22.
//  Copyright © 2019 bytedance.co All rights reserved.
//

#import <UIKit/UIKit.h>

typedef void (^OpenPlatformActionViewCallBack)(NSUInteger tapIndex);
NS_ASSUME_NONNULL_BEGIN

@interface OpenPlatformActionView : UIView

- (instancetype)initWithNumberOfButtons:(NSInteger)numberOfButtons;
- (UIButton *)buttonAtIndex:(NSInteger)index;

@end

NS_ASSUME_NONNULL_END
